Skip to main content

createOrUpdateScaFinding

Create or Update a Sca Finding

createOrUpdateScaFinding(
input: CreateOrUpdateScaFindingInput!
): CreateOrUpdateScaFindingPayload

Arguments​

createOrUpdateScaFinding.input ● CreateOrUpdateScaFindingInput! non-null input​

Parameters for CreateOrUpdateScaFinding

Type​

CreateOrUpdateScaFindingPayload object​

Autogenerated return type of CreateOrUpdateScaFinding.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateScaFinding($input: CreateOrUpdateScaFindingInput!) {\n createOrUpdateScaFinding(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","package":"example","affectedVersion":"example","fileName":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute